name: Matt Angell
locality: 
country: Remote
role: <a href="/job-families/people-group/recruiter/">Senior Technical Recruiter</a>
reports_to: urselak
picture: mattangell.png
pronouns:
pronunciation:
twitter:
linkedin: matthewangell
gitlab: mangell
departments:
  - Talent Acquisition
specialty:
expertise:
story:

